function generateOTP(openModal)
{
    var name = $('input[name="company_name"]').val();
    var email = $('input[name="email"]').val();
    var mobile = $('input[name="mobile"]').val();
    if(name == '' || email == '' || mobile == ''){
        Swal.fire({
            icon: "error",
            title: "Oops...",
            text: "Fields Missing",
        });   
        return false;
    }
    Swal.fire({
        title: 'Please Wait...',
        text: '',
        allowOutsideClick: false,
        allowEscapeKey: false,
        allowEnterKey: false,
        showConfirmButton: false
    });
    $('#btn-resend-otp').addClass('d-none');
    $.ajax({
        url : 'generate-otp',
        type : 'POST',
        data: {
            name: $('input[name="company_name"]').val(),
            email: $('input[name="email"]').val(),
            mobile: $('input[name="mobile"]').val(),
            nationality: $('#nationalityDropdown').find(":selected").text(),
            _token: $('input[name="_token"]').val()
        },
        dataType: 'json',
        beforeSend: function() {
            // show loading
            Swal.fire({
                title: 'Please Wait...',
                timer:1000,
                text: '',
                allowOutsideClick: false,
                allowEscapeKey: false,
                allowEnterKey: false,
                showConfirmButton: false
            });
            Swal.showLoading();
        },
        success : function(response) {
            if (response.status == 'success') {
                if(response.otp){
                    $("#email-otp").val(response.emailOtp).attr("hidden",true);
                    $("#otp").val(response.otp);
                    $(".notification_text").hide();
                    $("#email_label").hide();
                    $(".mobileOtpDiv").show();
                    $(".emailOtpDiv").hide();
                };
                if(response.emailOtp){
                    $(".mobileOtpDiv").hide();
                    $("#email-otp").val(response.emailOtp);
                    $(".emailOtpDiv").show();
                    $("#otp").val(response.otp).attr("hidden",true);
                    $("#otp_label").hide();
                }
                setTimeout(function(){ $('#btn-resend-otp').removeClass('d-none'); }, 100000);
                if (openModal) {
                    $('#modal-otp').modal('show');
                    $mobile = $("#mobile").val();
                    if(response.emailOtp){
                        $(".baseTxtOTP").hide();
                        $(".baseTxtEmailOTP").show();
                        $("#email_txt").html($email_split[0].substr(0,3)+"**********@"+$email_split[1]);
                    }
                    $email = $("#email").val();
                    $email_split = $email.split("@");
                    if(response.otp){
                        $(".baseTxtOTP").show();
                        $(".baseTxtEmailOTP").hide();
                        $("#mobile_txt").html("******" + $mobile.substr(6, 9));
                    }
                }
                Swal.close();
            }
            if(response.status == 'error'){
                Swal.fire({
                    icon: "error",
                    title: "Oops...",
                    text: "Keys Not Found",
                }); 
                setTimeout(function(){
                    window.location.reload();
                },2000);
            }
        }
    });
    // Send OTP For Verification
}
// 
function verifyOTP()
{   
    // if (!$("#otp-form").valid()) {
    //     return;
    // }
    $.ajax({
        url : 'verify-otp',
        type : 'POST',
        data: $('#otp-form').serialize(),
        dataType: 'json',
        success : function(response) {
            if (response.status) {
                //OTP Verified
                otpVerified = true;
                $('input[name="company_name"]').attr("disabled",true);
                $('input[name="email"]').attr("disabled",true);
                $('input[name="mobile"]').attr("disabled",true);
                $('select[name="nationality"]').attr("disabled",true);
                $(".otpBtn").hide();
                $("#visitor_id").val(response.visitor_id);
                $('#modal-otp').modal('hide');
                $(".main_fields_wrapper").hide();
                $(".other_fields_wrapper").show();
                // nextPrev(1);
            } else {
                //Invalid OTP Please Verify
                alert('Invalid OTP. Please try again');
            }
        }
    });
    // Send OTP For Verification
}