    @extends('layouts.dashboard')
        @section('content')
        @php
            $mailTypes = [
                'india-otp-mail',
                'foreign-otp-mail',
                'contact-us',
                'visitor-register-badge',
                'exhibitor-login-details',
                'fascia',
                'exhibitor-declaration',
                'exhibitor-contract',
                'brand',
                'power-contractor',
                'advertisement',
                'appointed-contractor',
                'contractor-undertaking',
                'free-badges',
                'furniture',
                'exhibitor-undertaking',
                'power',
                'payment-recieved',
                'product',
                'stall',
                'duplicate-badge',
                'contractor-badges',
                'branding',
                'sponsorship',
                'pending-payment',
                'full-payment',
                'visitor-online-badge',
                'furniture-contractor',
                'forgot-password',
            ];
            $userTypes = ['exhibitor','visitor','admin'];
            $mailCategories = ['invoice','notification','thank-you'];
        @endphp
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Mail Content</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredmailcontent">
                                Add Mail Content
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">User</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Type</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Category</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Subject</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Content</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($arr as $key => $data)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ ucfirst($data->user_type) }}</td>
                                        <td>{{ ucwords(str_replace('-',' ', $data->mail_type)) }}</td>
                                        <td>{{ ucwords(str_replace('-',' ',$data->mail_category)) }}</td>
                                        <td>{{ $data->subject }}</td>
                                        <td>{!! $data->content !!}</td>
                                        <td>
                                            <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredcontent{{$data->id }}">
                                                    <i class="bi bi-check-circle"></i>
                                            </button>
                                        </td>
                                        <td>
                                            <form method="POST" action="{{url('admin/home/email-management/mail-content/destroy')}}" id="deleteForm">
                                                @csrf
                                                @method('POST')
                                                <input type="hidden" name="model" value="MailContent">
                                                <input type="hidden" name="id" value="{{$data->id }}">
                                                <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="editcenteredcontent{{ $data->id }}" tabindex="-1" style="display: none;" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered modal-xl">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" style="display: inline-block;">Mail Content </h5>
                                                <div class="icon" style="display: inline-block;margin: 0 0 0 10px;">
                                                    <i class="bi bi-check-circle-fill verified_icon"></i>
                                                </div>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">
                                                <form action="{{url('admin/home/email-management/mail-content/update')}}" class="needs-validation taxes_master" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                    <input type="hidden" value="mail-content" name="model">
                                                    <input type="hidden" value="{{ $data->id }}" name="id">
                                                    <div class="form-group mb-3">
                                                        <label style="margin-bottom:5px"> Mail Type </label>
                                                        <select name="mail_type" class="form-control" required>
                                                            @foreach($mailTypes as $type)
                                                                <option {{$type == $data->mail_type ? 'selected' : '' }} value="{{ $type }}">{{ strtoupper($type) }}</option>
                                                            @endforeach
                                                        </select>
                                                        <div class="invalid-feedback">
                                                            Please provide Mail Type.
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label style="margin-bottom:5px"> User Type </label>
                                                        <select name="user_type" class="form-control" required>
                                                            @foreach($userTypes as $type)
                                                                <option {{$type == $data->user_type ? 'selected' : '' }} value="{{ $type }}">{{ strtoupper($type) }}</option>
                                                            @endforeach
                                                        </select>
                                                        <div class="invalid-feedback">
                                                            Please provide User Type.
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label style="margin-top:10px; margin-bottom:5px"> Mail Type </label>
                                                        <select name="mail_category" class="form-control" required>
                                                            @foreach($mailCategories as $category)
                                                                <option {{$category == $data->mail_category ? 'selected' : '' }} value="{{ $category }}">{{ strtoupper($category) }}</option>
                                                            @endforeach
                                                        </select>
                                                        <div class="invalid-feedback">
                                                            Please provide User Type.
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label style="margin-top:10px; margin-bottom:5px">Subject</label>
                                                        <input type="text" name="subject" value="{{ $data->subject }}" class="form-control" required placeholder="Subject.....">
                                                        <div class="invalid-feedback">
                                                            Please Provide Subject.
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <label style="margin-top:10px; margin-bottom:5px">Mail Content</label>
                                                        <textarea name="content" class="tinymce-editor" required>
                                                            {!! $data->content !!}
                                                        </textarea>
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="submit" value="Submit" class="btn btn-primary mt-4">
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                    @endforeach
                                </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="verticalycenteredmailcontent" tabindex="-1" style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Mail Content</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="{{url('admin/home/email-management/mail-content')}}" class="needs-validation taxes_master" method="POST" novalidate enctype="multipart/form-data">
                                @csrf
                            <input type="hidden" value="mail-content" name="model">
                            <div class="form-group mb-3">
                                <label style="margin-bottom:5px"> Mail Type </label>
                                <select name="mail_type" class="form-control" required>
                                    @foreach($mailTypes as $type)
                                        <option value="{{ $type }}">{{ strtoupper($type) }}</option>
                                    @endforeach
                                </select>
                                <div class="invalid-feedback">
                                    Please provide Mail Type.
                                </div>
                            </div>
                            <div class="form-group">
                                <label style="margin-bottom:5px"> User Type </label>
                                <select name="user_type" class="form-control" required>
                                    @foreach($userTypes as $type)
                                        <option value="{{ $type }}">{{ strtoupper($type) }}</option>
                                    @endforeach
                                </select>
                                <div class="invalid-feedback">
                                    Please provide User Type.
                                </div>
                            </div>
                            <div class="form-group">
                                <label style="margin-top:10px; margin-bottom:5px"> Mail Type </label>
                                <select name="mail_category" class="form-control" required>
                                    @foreach($mailCategories as $category)
                                        <option value="{{ $category }}">{{ strtoupper($category) }}</option>
                                    @endforeach
                                </select>
                                <div class="invalid-feedback">
                                    Please provide User Type.
                                </div>
                            </div>
                            <div class="form-group">
                                <label style="margin-top:10px; margin-bottom:5px">Subject</label>
                                <input type="text" name="subject" class="form-control" required placeholder="Subject.....">
                                <div class="invalid-feedback">
                                    Please Provide Subject.
                                </div>
                            </div>
                            <div class="form-group">
                                <label style="margin-top:10px; margin-bottom:5px">Mail Content</label>
                                <textarea name="content" class="tinymce-editor" required>
                                    {header}</br>
                                    {content}</br>
                                    {footer}
                                </textarea>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="Submit" class="btn btn-primary mt-4">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @endsection