    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">branding</div>
                            <button style="display: inline-block;float: right;margin: 6px 0 18px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredbranding">
                                Add branding
                            </button>
                        </div>
                        <div class="card-body">
                            <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Image</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Name</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Dimensions</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Area</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Fixed Price</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($arr as $key => $data)
                                        <tr data-index="{{$key}}">
                                            <td>{{$key + 1 }}</td>
                                            <td>
                                                @if(!isset($data['status']))
                                                    <img class="img-fluid" src="{{ asset('storage/' . $data['image']) }}" alt="">
                                                @else
                                                    <img class="img-fluid" src="{{ $data['image'] }}" alt="">
                                                @endif
                                            </td>
                                            <td>{{ $data['name'] }}</td>
                                            <td>{{ $data['width'] }} * {{ $data['height'] }}</td>
                                            <td>{{ number_format($data['width'] * $data['height'])}}</td>
                                            <td>{{ $currencySymbol . $data['price'] }}</td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredbranding{{$data['id']}}">
                                                    <i class="bi bi-check-circle"></i>
                                                </button>
                                                @else
                                                    <button type="button" class="btn btn-success"><i class="bi bi-check-circle"></i></button>
                                                @endif
                                            </td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                <form method="POST" action="{{url('admin/home/masters/branding/destroy')}}" id="deleteForm">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Branding">
                                                    <input type="hidden" name="id" value="{{$data['id']}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                                @else
                                                <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @if(!isset($data['status']))
                                        <div class="modal fade" id="editcenteredbranding{{$data['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Branding 
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/masters/branding/update')}}" class="needs-validation branding_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="branding" name="model">
                                                        <input type="hidden" value="{{$data['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Image</label>
                                                            <input type="file" name="image" class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please upload image.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Name</label>
                                                            <input type="text" placeholder="Chair..." name="name" value="{{$data['name']}}" class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please provide name.
                                                            </div>
                                                        </div>
                                                        <div class="input-group mb-3">
                                                            <input type="number" id="width" placeholder="Width" name="width"  value="{{$data['width']}}" class="form-control widthUpdate">
                                                            <div class="invalid-feedback">
                                                                Please provide width.
                                                            </div>
                                                            <input type="number" placeholder="Height" name="height"  value="{{$data['height']}}" class="form-control heightUpdate">
                                                            <div class="invalid-feedback">
                                                                Please provide height.
                                                            </div>
                                                            <label style="width: 100%;margin: 20px 0 0;">Total Area</label>
                                                            <input type="number" readonly placeholder="5..." name="total_area"  value="{{$data['area']}}" class="form-control totalAreaUpdate">
                                                            <div class="invalid-feedback">
                                                                Please provide area.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Fixed Price</label>
                                                            <input type="number" placeholder="5..." name="fixed_price"  value="{{$data['price']}}" class="form-control fixed_price">
                                                            <div class="invalid-feedback">
                                                                Please provide Price.
                                                            </div>
                                                        </div>
                                                        <!-- <div class="form-group mb-3" style="display:none">
                                                            <label>Total Price</label>
                                                            <input type="hidden" placeholder="5..." name="total_price" value="{{$data['price']}}" class="form-control total_price">
                                                            <div class="invalid-feedback">
                                                                Please provide Price.
                                                            </div>
                                                        </div> -->
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @endif
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endsection
    <div class="modal fade" id="verticalycenteredbranding" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Branding</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form action="{{url('admin/home/masters/branding')}}" class="needs-validation branding_master" method="POST" novalidate enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" value="branding" name="model">
                    <div class="form-group mb-3">
                        <label>Image</label>
                        <input type="file" name="image" required class="form-control">
                        <div class="invalid-feedback">
                            Please upload image.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Name</label>
                        <input type="text" placeholder="Chair..." required name="name" class="form-control">
                        <div class="invalid-feedback">
                            Please provide name.
                        </div>
                    </div>
                    <div class="input-group mb-3">
                        <input type="number" id="width" placeholder="Width" required name="width" class="form-control width">
                        <div class="invalid-feedback">
                            Please provide width.
                        </div>
                        <input type="number" placeholder="Height" required name="height" class="form-control height">
                        <div class="invalid-feedback">
                            Please provide height.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Total Area</label>
                        <input type="number" readonly placeholder="5..." required name="total_area" class="form-control total_area">
                        <div class="invalid-feedback">
                            Please provide area.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Fixed Price</label>
                        <input type="number" placeholder="5..." required name="fixed_price" class="form-control fixed_price">
                        <div class="invalid-feedback">
                            Please provide Price.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Total Price</label>
                        <input type="number" placeholder="5..." required name="total_price" class="form-control total_price">
                        <div class="invalid-feedback">
                            Please provide Price.
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Submit" class="btn btn-primary">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>