    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">contractors</div>
                            <button style="display: inline-block;float: right;margin: 6px 0 18px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredcontractors">
                                Add contractors
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Company Name</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Name</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">City</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Zip</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Mobile</button></th>
                                                <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Email</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($arr as $key => $data)
                                        <tr data-index="{{$key}}">
                                            <td>{{$key + 1 }}</td>
                                            <td>{{ $data['company_name'] }}</td>
                                            <td>{{ $data['name'] }}</td>
                                            <td>{{ $data['city'] }}</td>
                                            <td>{{ $data['zip'] }}</td>
                                            <td>{{ $data['mobile'] }}</td>
                                            <td>{{ $data['email'] }}</td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredcontractor{{$data['id']}}">
                                                    <i class="bi bi-check-circle"></i>
                                                </button>
                                                @else
                                                    <button type="button" class="btn btn-success"><i class="bi bi-check-circle"></i></button>
                                                @endif
                                            </td>
                                            <td class="green">
                                                @if(!isset($data['status']))
                                                    <form method="POST" action="{{url('admin/home/masters/contractors/destroy')}}" id="deleteForm">
                                                        @csrf
                                                        @method('POST')
                                                        <input type="hidden" name="model" value="Contractor">
                                                        <input type="hidden" name="id" value="{{$data['id']}}">
                                                        <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                    </form>
                                                    @else
                                                    <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @if(!isset($data['status']))
                                        <div class="modal fade" id="editcenteredcontractor{{$data['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Contractor 
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/masters/contractors/update')}}" class="needs-validation" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="contractor" name="model">
                                                        <input type="hidden" value="{{$data['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Company Name</label>
                                                            <input type="text" placeholder="Company Name..." value="{{ $data['company_name'] }}" required name="company_name" class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please provide company name.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Name</label>
                                                            <input type="text" id="name" placeholder="Name..." value="{{ $data['name'] }}" required name="name" class="form-control name">
                                                            <div class="invalid-feedback">
                                                                Please provide name.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Email</label>
                                                            <input type="text" id="email" placeholder="Email..." value="{{ $data['email'] }}" required name="email" class="form-control email">
                                                            <div class="invalid-feedback">
                                                                Please provide email.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Address</label>
                                                            <textarea class="form-control" name="address" required placeholder="Add Address...." id="floatingTextarea" style="height: 100px;">{{ $data['address'] }}</textarea>
                                                            <div class="invalid-feedback">
                                                                Please provide address.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Country</label>
                                                            <input type="text" value="INDIA" id="country" placeholder="Country..." value="{{ $data['country'] }}" required name="country" class="form-control country">
                                                            <div class="invalid-feedback">
                                                                Please provide country.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>City</label>
                                                            <input type="text" id="city" placeholder="City..." value="{{ $data['city'] }}" required name="city" class="form-control city">
                                                            <div class="invalid-feedback">
                                                                Please provide city.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Zip Code</label>
                                                            <input type="number" id="zip" placeholder="Zip..." value="{{ $data['zip'] }}" required name="zip" class="form-control zip">
                                                            <div class="invalid-feedback">
                                                                Please provide zip code.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Phone Number</label>
                                                            <input type="number" id="country" placeholder="Phone..." value="{{ $data['phone'] }}" required name="phone" class="form-control phone">
                                                            <div class="invalid-feedback">
                                                                Please provide phone.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Mobile</label>
                                                            <input type="number" id="country" placeholder="Mobile..." value="{{ $data['mobile'] }}" required name="mobile" class="form-control mobile">
                                                            <div class="invalid-feedback">
                                                                Please provide mobile.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @endif
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endsection
    <div class="modal fade" id="verticalycenteredcontractors" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Contractors</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
            <form action="{{url('admin/home/masters/contractors')}}" class="needs-validation contractors_master" method="POST" novalidate enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" value="contractors" name="model">
                    <div class="form-group mb-3">
                        <label>Company Name</label>
                        <input type="text" placeholder="Company Name..." required name="company_name" class="form-control">
                        <div class="invalid-feedback">
                            Please provide company name.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Name</label>
                        <input type="text" id="name" placeholder="Name..." required name="name" class="form-control name">
                        <div class="invalid-feedback">
                            Please provide name.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Email</label>
                        <input type="text" id="email" placeholder="Email..." required name="email" class="form-control email">
                        <div class="invalid-feedback">
                            Please provide email.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Address</label>
                        <textarea class="form-control" name="address" required placeholder="Add Address...." id="floatingTextarea" style="height: 100px;"></textarea>
                        <div class="invalid-feedback">
                            Please provide address.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Country</label>
                        <input type="text" value="INDIA" id="country" placeholder="Country..." required name="country" class="form-control country">
                        <div class="invalid-feedback">
                            Please provide country.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>City</label>
                        <input type="text" id="city" placeholder="City..." required name="city" class="form-control city">
                        <div class="invalid-feedback">
                            Please provide city.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Zip Code</label>
                        <input type="number" id="zip" placeholder="Zip..." required name="zip" class="form-control zip">
                        <div class="invalid-feedback">
                            Please provide zip code.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Phone Number</label>
                        <input type="number" id="country" placeholder="Phone..." required name="phone" class="form-control phone">
                        <div class="invalid-feedback">
                            Please provide phone.
                        </div>
                    </div>
                    <div class="form-group mb-3">
                        <label>Mobile</label>
                        <input type="number" id="country" placeholder="Mobile..." required name="mobile" class="form-control mobile">
                        <div class="invalid-feedback">
                            Please provide mobile.
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Submit" class="btn btn-primary">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>