    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">OTP Settings</div>
                            @if(!$arr)
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredotpsettings">
                                Otp Settings
                            </button>
                            @endif
                        </div>
                        <div class="card-body">
                            <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Api Key</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Template ID</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Template Name</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Sender Id</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if($arr)
                                    @php
                                        $data = json_decode($arr['meta_value']);
                                    @endphp
                                    <tr>
                                        <td>{{ __('1') }}</td>
                                        <td>{{ $data->api_key }}</td>
                                        <td>{{ $data->template_id }}</td>
                                        <td>{{ $data->template_name }}</td>
                                        <td>{{ $data->sender_id }}</td>
                                        <td>
                                            <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredotp{{$arr['id']}}">
                                                <i class="bi bi-check-circle"></i>
                                            </button>
                                        </td>
                                        <td>
                                            <form method="POST" action="{{url('admin/home/settings/otp-settings/destroy')}}" id="deleteForm">
                                                @csrf
                                                @method('POST')
                                                <input type="hidden" name="model" value="Setting">
                                                <input type="hidden" name="id" value="{{$arr['id']}}">
                                                <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="editcenteredotp{{$arr['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Data
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/settings/otp-settings/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="otp-settings" name="model">
                                                        <input type="hidden" value="{{$arr['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>API Key</label>
                                                            <input type="text" name="api_key" value="{{ $data->api_key }}" placeholder="FDRSE002EF" required class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please Add Api Key.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Template Id</label>
                                                            <input type="text" name="template_id" value="{{ $data->template_id }}" placeholder="DDSSDD" required class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please Add Template ID.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Template Name</label>
                                                            <input type="text" name="template_name" value="{{ $data->template_name }}" placeholder="ORP1" required class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please Add Template Name.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Sender ID</label>
                                                            <input type="text" name="sender_id" value="{{ $data->sender_id }}" placeholder="UUIOO" required class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please Add Sender ID.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="verticalycenteredotpsettings" tabindex="-1" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">OTP Settings</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{url('admin/home/settings/otp-settings')}}" class="needs-validation boothdesign_master" method="POST" novalidate enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="otp-settings" name="model">
                        <div class="form-group mb-3">
                            <label>API Key</label>
                            <input type="text" name="api_key" placeholder="FDRSE002EF" required class="form-control">
                            <div class="invalid-feedback">
                                Please Add Api Key.
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <label>Template Id</label>
                            <input type="text" name="template_id" placeholder="DDSSDD" required class="form-control">
                            <div class="invalid-feedback">
                                Please Add Template ID.
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <label>Template Name</label>
                            <input type="text" name="template_name" placeholder="ORP1" required class="form-control">
                            <div class="invalid-feedback">
                                Please Add Template Name.
                            </div>
                        </div>
                        <div class="form-group mb-3">
                            <label>Sender ID</label>
                            <input type="text" name="sender_id" placeholder="UUIOO" required class="form-control">
                            <div class="invalid-feedback">
                                Please Add Sender ID.
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection