    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Stall Number</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenterednumber">
                                Stall number
                            </button>
                        </div>
                        <div class="card-body">
                            <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Stall Number</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Hall Number</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if($arr)
                                        @foreach($arr as $key => $stall)
                                        <tr>
                                            <td>{{$key + 1}}</td>
                                            <td>{{ $stall->stall_number}}</td>
                                            <td>{{$stall->hall_number}}</td>
                                            <td>
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenterednumber{{$stall->id}}">
                                                        <i class="bi bi-check-circle"></i>
                                                </button>
                                            </td>
                                            <td>
                                                <form method="POST" action="{{url('admin/home/stall-management/number/destroy')}}" id="deleteForm{{$stall->id}}">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Stall">
                                                    <input type="hidden" name="id" value="{{$stall->id}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmAreaDelete({{$stall->id}})"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                        <!-- Modal -->
                                        <div class="modal fade" id="editcenterednumber{{$stall->id}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Stall
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/stall-management/number/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="number" name="model">
                                                        <input type="hidden" value="{{$stall->id}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Stall Number</label>
                                                            <input type="text" name="stall_number" value="{{ $stall->stall_number }}" class="form-control" required>
                                                            <div class="invalid-feedback">
                                                                Please add Number.
                                                            </div>
                                                        </div>
                                                        <div class="form-group mb-3">
                                                            <label>Hall Number</label>
                                                            <select name="hall_number" class="form-control" required>
                                                                <option {{ $stall->hall_number == '1A' ? 'selected' : '' }} value="1A">1A</option>
                                                                <option {{ $stall->hall_number == '1B' ? 'selected' : '' }} value="1B">1B</option>
                                                            </select>
                                                            <div class="invalid-feedback">
                                                                Please Select Hall Number.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- Modal -->
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="verticalycenterednumber" tabindex="-1" style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Stall Number</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="{{url('admin/home/stall-management/number')}}" class="needs-validation exhibito_content_master" method="POST" novalidate enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" value="number" name="model">
                            <div class="form-group mb-3">
                                <label>Stall Number</label>
                                <input type="text" name="stall_number" required placeholder="240" class="form-control">
                                <div class="invalid-feedback">
                                    Please Add Number.
                                </div>
                            </div>
                            <div class="form-group mb-3">
                                <label>Hall Number</label>
                                <select name="hall_number" class="form-control" required>
                                    <option value="1A">1A</option>
                                    <option value="1B">1B</option>
                                </select>
                                <div class="invalid-feedback">
                                    Please Select Hall Number.
                                </div>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="Submit" class="btn btn-primary">
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
    @endsection